>From bbd07137b410ddde1e1d4a3003cc8539a58ce237 Mon Sep 17 00:00:00 2001
From: Abhishek Koneru <akoneru@redhat.com>
Date: Thu, 20 Jun 2013 16:25:40 -0400
Subject: [PATCH] Code refactored for global variables and utility classes.

Added a new class PKIDeployer, whose object holds references to
global dictionaries for master and slots and also objects of
utility classes in pkihelper.py. This object once created in
pkispawn/pkidestroy will be passed on to the PKIScriptlets and
used. This also fixes few pylint related errors (E1120)

Ticket #316
---
 base/server/src/engine/pkiconfig.py                |    5 -
 base/server/src/engine/pkihelper.py                | 1117 +++++++++++---------
 base/server/src/engine/pkiparser.py                |  678 ++++++------
 base/server/src/pkidestroy                         |   12 +-
 base/server/src/pkispawn                           |   53 +-
 base/server/src/scriptlets/configuration.py        |  101 +-
 base/server/src/scriptlets/finalization.py         |   66 +-
 .../server/src/scriptlets/infrastructure_layout.py |   60 +-
 base/server/src/scriptlets/initialization.py       |   64 +-
 base/server/src/scriptlets/instance_layout.py      |  217 ++--
 base/server/src/scriptlets/security_databases.py   |  122 +--
 base/server/src/scriptlets/selinux_setup.py        |   78 +-
 base/server/src/scriptlets/slot_substitution.py    |   90 +-
 base/server/src/scriptlets/subsystem_layout.py     |  128 +--
 base/server/src/scriptlets/webapp_deployment.py    |  117 +-
 15 files changed, 1493 insertions(+), 1415 deletions(-)

diff --git a/base/server/src/engine/pkiconfig.py b/base/server/src/engine/pkiconfig.py
index 6a86de0874bcf77e36a7b34a92d8b89da4e50938..10fcdc676d430ee10d72dca50e66d3b68b2f2326 100644
--- a/base/server/src/engine/pkiconfig.py
+++ b/base/server/src/engine/pkiconfig.py
@@ -167,11 +167,6 @@ pki_log_name = None
 pki_log_level = None
 pki_console_log_level = None
 
-
-# PKI Deployment Global Dictionaries
-pki_master_dict = {}
-pki_slots_dict = None
-
 # PKI Selinux Constants and parameters
 PKI_INSTANCE_SELINUX_CONTEXT = "pki_tomcat_var_lib_t"
 PKI_LOG_SELINUX_CONTEXT      = "pki_tomcat_log_t"
